<?xml version="1.0" encoding="Shift_JIS"?>

<!-- XSL for FAQ Builder -->
<!-- copyright(c) 2004 WoodenSoldier Software -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">

<xsl:template match="/">
	<xsl:apply-templates select="/faq"/>
</xsl:template>

<xsl:template match="/faq">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html"/>

		<style type="text/css">
		body{
			margin: 10pt 30pt 10pt 30pt;
			font-famiry: sans-serif;
			color: #000000;
			background-color: #FFFFFF;
			font-size: 10pt;
			line-height : 120%;
		}

		pre{
			background: #FFFFDD;
			border: 1px solid #000000;
			font-size: 9pt;
			margin: 1% 5% 1% 5%;
			padding: 3pt;
		}

		h3{
			font-size: 10pt;
			font-weight: bold;
			padding: 2pt;
			border-width: 0pt 0pt 1pt 16pt;
			border-style: none none solid solid;
			border-color: #3399cc;
		}
		</style>

		<title>
			<xsl:value-of select="documentTitle"/>
		</title>
	</head>

	<body class="faq">

		<a name="top"/>

		<h1 class="faq"><xsl:value-of select="documentTitle"/></h1>
		
		<hr/>

		<div align="right">Last Update: <xsl:value-of select="lastUpdate"/></div>
		<!-- build index -->
		<xsl:for-each select="/faq/category">
			<xsl:variable name="n" select="1"/>
			<h2 class="faq"><xsl:value-of select="categoryTitle"/></h2>
			<ul>
			<xsl:for-each select="question">
				<li>
				<a>
				<xsl:attribute name="href">#<xsl:number level="any" format="1" count="question" /></xsl:attribute>
				<xsl:value-of select="questionTitle"/></a>
				</li>
			</xsl:for-each>
			</ul>
		</xsl:for-each>
		<!-- build index end -->

		<hr/>

		<!-- build main contents -->
		<xsl:for-each select="/faq/category">
			<h2 class="faq"><xsl:value-of select="categoryTitle"/></h2><br/>
			<xsl:for-each select="question">
				<h3 class="faq">
				<a>
				<xsl:attribute name="name"><xsl:number level="any" format="1" count="question"/></xsl:attribute>
				<xsl:value-of select="questionTitle"/>
				</a></h3><br/>
				
				<xsl:call-template name="replace">
					<xsl:with-param name="str" select="answer"/> 
				</xsl:call-template>

				<br/>

					<xsl:if test="code[.!='']">
						<code><pre class="faq">
							<xsl:value-of select="code"/>
						</pre></code>
						<br/>
					</xsl:if>

				<div align="right"><a href="#top">Top</a></div>
				<hr/>
			</xsl:for-each>
		</xsl:for-each>
		<!-- build main contents end -->

	</body>
</html>
</xsl:template>

<!-- replace CR with <br/> -->
<xsl:template name="replace">
	<xsl:param name="str" select="."/>
	<xsl:value-of disable-output-escaping="yes" select="substring-before($str, '&#10;')"/>
	<xsl:choose>
		<xsl:when test="contains($str, '&#10;')">
			<br/>
			<xsl:call-template name="replace">
				<xsl:with-param name="str" select="substring-after($str, '&#10;')"/>
			</xsl:call-template>
		</xsl:when>
		<xsl:when test="string-length($str) &gt; 0">
			<xsl:value-of disable-output-escaping="yes" select="$str" />
		</xsl:when>
	</xsl:choose>
</xsl:template>
<!-- replace routine end -->

</xsl:stylesheet>

